﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;
using Nexus.IPConfiguration.Management.Wrappers;

namespace Nexus.IPConfiguration.Configurator.NetworkAdapterConfigs
{
    public class NetworkAdapterConfiguration
    {
        public NetworkAdapterConfiguration()
        {
            IsDHCPEnabled = true;
            ObtainDNSAutomatically = true;
            UseProxy = false;
        }

        [XmlAttribute]
        public string Name { get; set; }

        public string IPAddress { get; set; }
        public string SubnetMask { get; set; }
        public string DefaultGateway { get; set; }
        public bool IsDHCPEnabled { get; set; }

        public string DNS1 { get; set; }
        public string DNS2 { get; set; }
        public bool ObtainDNSAutomatically { get; set; }

        public bool UseProxy { get; set; }
        public string ProxyAddress { get; set; }
        public int ProxyPort { get; set; }
        public string ProxyOverride { get; set; }
    }
}
