﻿
namespace Nexus.IPConfiguration.Management.Wrappers
{
    /// <summary>
    /// Encapsulated DNS informations
    /// </summary>
    public class DNS : WrapperBase
    {
        /// <summary>
        /// First DNS server address
        /// </summary>
        public string DNSAddress1 { get; set; }

        /// <summary>
        /// Second DNS server address
        /// </summary>
        public string DNSAddress2 { get; set; }

        /// <summary>
        /// Indicates if DNS servers addresses' should be obtained automatically
        /// </summary>
        public bool ObtainDNSAutomatically { get; set; }
    }
}
