﻿
namespace Nexus.IPConfiguration.Management.Wrappers
{
    /// <summary>
    /// Encapsulated IP config informations
    /// </summary>
    public class IPConfig : WrapperBase
    {
        /// <summary>
        /// IP address
        /// </summary>
        public string IPAddress { get; set; }

        /// <summary>
        /// Subnet mask
        /// </summary>
        public string SubnetMask { get; set; }

        /// <summary>
        /// Default gateway address
        /// </summary>
        public string DefaultGateway { get; set; }

        /// <summary>
        /// Indicates if DHCP is enabled
        /// </summary>
        public bool IsDHCPEnabled { get; set; }
    }
}
