﻿
namespace Nexus.IPConfiguration.Management.Wrappers
{
    /// <summary>
    /// Encapsulated proxy config informations
    /// </summary>
    public class ProxyConfig : WrapperBase
    {
        /// <summary>
        /// Proxy server address
        /// </summary>
        public string ProxyAddress { get; set; }

        /// <summary>
        /// Proxy server port
        /// </summary>
        public int Port { get; set; }

        /// <summary>
        /// Proxy override
        /// </summary>
        public string ProxyOverride { get; set; }

        /// <summary>
        /// Indicates if system should use proxy
        /// </summary>
        public bool UseProxy { get; set; }
    }
}
